# SplFileObject::seek

(PHP 5 >= 5.1.0, PHP 7)

SplFileObject::seek — Seek to specified line

### Description

public SplFileObject::seek ( int `$line_pos` ) : void

Seek to specified line in the file.

### Parameters

`line_pos`

  The zero-based line number to seek to.

### Return Values

No value is returned.

### Errors/Exceptions

Throws a LogicException if the `line_pos` is negative.

### Examples

Example #1 SplFileObject::seek() example

This example outputs the third line of the script which is found at position 2.

`<?php
$file = new SplFileObject(__FILE__);
$file->seek(2);
echo $file->current();
?>`

The above example will output something similar to:

    $file->seek(2);

### See Also

- SplFileObject::current() - Retrieve current line of file
- SplFileObject::key() - Get line number
- SplFileObject::next() - Read next line
- SplFileObject::rewind() - Rewind the file to the first line
- SplFileObject::valid() - Not at EOF